%define gdate	20150418
%define rel	3

Name:		key-mon
Version:	1.19
Release:	%mkrel %{?gdate:0.git%gdate.}%{rel}
Summary:	Keyboard Status Monitor (key-mon)
License:	ASL2.0
Group:		Education
Url:		http://code.google.com/p/key-mon/
Source0:	%{name}-%{?gdate}%{!?gdate:%version}.tar.%{?gdate:xz}%{!?gdate:gz}
BuildArch:	noarch
Provides:	keymon = %{version}-%{release}
Requires:	pygtk2.0
Requires:	python-xlib
Requires:	librsvg

%description
Utility to show live keyboard and mouse status for teaching and screencasts.

Key-mon is useful for teaching since it shows the current status of your
keyboard and mouse and you use them in another application.  No longer do
you need to say 'Now I'm pressing the Ctrl-D key', your students can just
see the keystroke for themselves.

%prep
%setup -qn %{name}-%{?gdate}%{!?gdate:%version}

#fix rights
chmod 644 icons/key-mon.xpm

%build
%py2_build

%install
%py2_install

#menu item
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Keyboard Status Monitor
Comment=Utility to show live keyboard and mouse status for teaching and screencasts.
Exec=key-mon --decorated
Terminal=false
Type=Application
Icon=key-mon
Categories=Education;Utility;
EOF

#symlink
ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/keymon

%files
%doc README.*.rst RELEASE.rst ACKNOWLEDGMENTS.rst
%license COPYING
%{_bindir}/keymon
%{_bindir}/key-mon
%{python2_sitelib}/key_mon-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/keymon
%{_iconsdir}/hicolor/%{name}.*
%{_datadir}/pixmaps/key-mon.xpm
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 1.19-0.git20150418.3.mga6
+ Revision: 1007035
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 1.19-0.git20150418.2.mga6
+ Revision: 969902
- Mageia 6 Mass Rebuild

* Mon Sep 21 2015 wally <wally> 1.19-0.git20150418.1.mga6
+ Revision: 882067
- build latest snapshot from github

* Wed Oct 15 2014 umeabot <umeabot> 1.17-5.mga5
+ Revision: 747045
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.17-4.mga5
+ Revision: 726638
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.17-3.mga5
+ Revision: 681042
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.17-2.mga5
+ Revision: 628280
- Rebuild for new Python

* Tue Feb 04 2014 wally <wally> 1.17-1.mga5
+ Revision: 581878
- new version 1.17

* Tue Oct 22 2013 umeabot <umeabot> 1.16-3.mga4
+ Revision: 542663
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.16-2.mga4
+ Revision: 497855
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 03 2013 wally <wally> 1.16-1.mga4
+ Revision: 449934
- new version 1.16
- fix license

* Sat Jan 12 2013 umeabot <umeabot> 1.13-2.mga3
+ Revision: 356128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 08 2012 wally <wally> 1.13-1.mga3
+ Revision: 280001
- new version 1.13
- fix desktop file creation
- provide keymon

* Sat Feb 04 2012 wally <wally> 1.9-1.mga2
+ Revision: 204411
- imported package key-mon

